Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class CommonPointRule

    Object
      CodeList<CommonPointRule>
          CommonPointRule

All Implemented Interfaces:
  Serializable, Comparable<CommonPointRule>

    @UML(identifier="CV_CommonPointRule",
         specification=ISO_19123)
    public class CommonPointRule

extends CodeList<CommonPointRule>

List of codes that identify methods for handling cases where the direct position input to the `evaluate` operation falls within two or more of the geometric objects. The interpretation of these rules differs between discrete and continuous coverages. In the case of a discrete coverage, each geometry-value pair provides one value for each attribute. The rule is applied to the set of values associated with the set of geometry-value pairs that contain the direct position. In the case of a continuous coverage, a value for each attribute shall be interpolated for each `ValueObject` that contains the direct position. The rule shall then be applied to the set of interpolated values for each attribute.

See Also:
  `Coverage.getCommonPointRule()`, Serialized Form

Field Summary
`static CommonPointRule` | `ALL` All the feature attribute values that can be determined for the input direct position.
`static CommonPointRule` | `AVERAGE` The mean of the feature attribute values.
`static CommonPointRule` | `END` The end value of the first value segment.
`static CommonPointRule` | `HIGH` The greatest of the feature attribute values.
`static CommonPointRule` | `LOW` The least of the feature attribute values.
`static CommonPointRule` | `START` The start value of the second value segment.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static CommonPointRule` | `valueOf(String code)` Returns the CommonPointRule that matches the given string, or returns a new one if none match it.
`static CommonPointRule[]` | `values()` Returns the list of `CommonPointRule`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AVERAGE

    @UML(identifier="average",
         obligation=CONDITIONAL,
         specification=ISO_19123)
    public static final CommonPointRule AVERAGE

  The mean of the feature attribute values.

### LOW

    @UML(identifier="low",
         obligation=CONDITIONAL,
         specification=ISO_19123)
    public static final CommonPointRule LOW

  The least of the feature attribute values.

### HIGH

    @UML(identifier="high",
         obligation=CONDITIONAL,
         specification=ISO_19123)
    public static final CommonPointRule HIGH

  The greatest of the feature attribute values.

### ALL

    @UML(identifier="all",
         obligation=CONDITIONAL,
         specification=ISO_19123)
    public static final CommonPointRule ALL

  All the feature attribute values that can be determined for the input direct position.

### START

    @UML(identifier="start",
         obligation=CONDITIONAL,
         specification=ISO_19123)
    public static final CommonPointRule START

  The start value of the second value segment. Applies only to segmented curve coverages.

### END

    @UML(identifier="end",
         obligation=CONDITIONAL,
         specification=ISO_19123)
    public static final CommonPointRule END

  The end value of the first value segment. Applies only to segmented curve coverages.

Method Detail

### values

    public static CommonPointRule[] values()

  Returns the list of `CommonPointRule`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<CommonPointRule>`

### valueOf

    public static CommonPointRule valueOf(String code)

  Returns the CommonPointRule that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.